## mapbox-geometry 0.9.2

=== Makefile ===
CXXFLAGS += -I include -std=c++14 -DDEBUG -O0 -Wall -Wextra -Werror
MASON ?= .mason/mason

VARIANT = 1.1.4

default: test

$(MASON):
	git submodule update --init

mason_packages/headers/variant/$(VARIANT):
	$(MASON) install variant $(VARIANT)

test: tests/* include/mapbox/geometry/* mason_packages/headers/variant/$(VARIANT) Makefile
	$(CXX) tests/*.cpp $(CXXFLAGS) `$(MASON) cflags variant $(VARIANT)` -o test
	./test

clean:
	rm -f test

=== debian/changelog ===
mapbox-geometry (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Aug 2017 13:59:13 +0200

mapbox-geometry (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #864570)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Jun 2017 09:15:26 +0200

=== debian/control ===
Source: mapbox-geometry
Section: libdevel
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Build-Depends: debhelper (>= 9),
               libmapbox-variant-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapbox-geometry.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapbox-geometry.git
Homepage: https://github.com/mapbox/geometry.hpp

Package: libmapbox-geometry-dev
Architecture: all
Depends: libmapbox-variant-dev,
         ${misc:Depends}
Description: Generic C++ interfaces for geometry types, collections, and features
 geometry.hpp provides header-only, generic C++ interfaces for geometry
 types, geometry collections, and features.
 .
 These types are designed to be easy to parse and serialize to GeoJSON.
 .
 They should also be a robust and high performance container for data
 processing and conversion.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|geometry.hpp)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/geometry.hpp-$1.$2/ \
https://github.com/mapbox/geometry.hpp/releases \
(?:.*?/)?(?:rel|v|geometry.hpp)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapbox-geometry 0.9.3

=== debian/changelog ===
mapbox-geometry (0.9.3-2) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 20:51:10 +0200

mapbox-geometry (0.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 20:03:21 +0200

mapbox-geometry (0.9.2-2) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 14:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Build-Depends: debhelper (>= 9),
                libmapbox-variant-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapbox-geometry.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapbox-geometry.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-geometry/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-geometry.git
 Homepage: https://github.com/mapbox/geometry.hpp
 
 Package: libmapbox-geometry-dev
@@ -22,4 +22,3 @@
  .
  They should also be a robust and high performance container for data
  processing and conversion.
-

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,3 @@
 
 %:
 	dh $@ --parallel
-

## mapbox-geometry 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(hpp_skel LANGUAGES CXX)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED on)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/mason.cmake)

option(WERROR "Add -Werror flag to build (turns warnings into errors)" ON)

# configure optimization
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(OPTIMIZATION_FLAGS "-O0 -DDEBUG")
    message("-- Configuring debug build")
else()
    set(OPTIMIZATION_FLAGS "-O3 -DNDEBUG")
    message("-- Configuring release build")
endif()

# Enable extra warnings to adhere to https://github.com/mapbox/cpp/issues/37
set(DESIRED_WARNINGS "-Wall -Wextra -Wconversion -Wunreachable-code -Wuninitialized -pedantic-errors -Wold-style-cast -Wno-error=unused-variable -Wshadow -Wfloat-equal -Weffc++")
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  set(DESIRED_WARNINGS "${DESIRED_WARNINGS} -Wmost")
endif()

# Note: -D_GLIBCXX_USE_CXX11_ABI=0 is needed to support mason packages that are precompiled libs
# Currently we only depend on a header only library, but this will help avoid issues when more libs are added via mason
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OPTIMIZATION_FLAGS} -D_GLIBCXX_USE_CXX11_ABI=0 ${DESIRED_WARNINGS}")

if (WERROR)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

# mason_use is a mason function within the mason.cmake file and provides ready-to-go vars, like "STATIC_LIBS" and "INCLUDE_DIRS"
mason_use(catch VERSION 1.9.6 HEADER_ONLY)
include_directories(SYSTEM ${MASON_PACKAGE_catch_INCLUDE_DIRS})

mason_use(benchmark VERSION 1.2.0)
include_directories(SYSTEM ${MASON_PACKAGE_benchmark_INCLUDE_DIRS})

mason_use(variant VERSION 1.1.5 HEADER_ONLY)
include_directories(SYSTEM ${MASON_PACKAGE_variant_INCLUDE_DIRS})

include_directories("${PROJECT_SOURCE_DIR}/include")

file(GLOB TEST_SOURCES test/*.cpp)
add_executable(unit-tests ${TEST_SOURCES})

# libbenchmark.a supports threads and therefore needs pthread support
find_package(Threads REQUIRED)
file(GLOB BENCH_SOURCES bench/*.cpp)
add_executable(bench-tests ${BENCH_SOURCES})

# link benchmark static library to the bench-tests binary so the bench tests know where to find the benchmark impl code
target_link_libraries(bench-tests ${MASON_PACKAGE_benchmark_STATIC_LIBS} ${CMAKE_THREAD_LIBS_INIT})

=== debian/changelog ===
mapbox-geometry (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Switch to CMake build system.
  * Add catch to build dependencies.
  * Don't build bench-tests, causes FTBFS.
  * Use Makefile for test target, set expected directory in build target.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Nov 2018 15:58:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Build-Depends: debhelper (>= 9),
+               catch,
+               cmake (>= 3.8),
                libmapbox-variant-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-geometry/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-geometry.git
 Homepage: https://github.com/mapbox/geometry.hpp

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,12 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@ \
+	      --buildsystem=cmake \
+	      --builddirectory=$(CURDIR)/cmake-build \
+	      --parallel
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) test
+endif

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|geometry.hpp)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/geometry.hpp-$1.$2/ \
https://github.com/mapbox/geometry.hpp/releases \
(?:.*?/archive/)?(?:rel|v|geometry.hpp)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapbox-geometry 1.1.0

=== debian/changelog ===
mapbox-geometry (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jun 2020 19:25:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                catch,
                cmake (>= 3.8),
                libmapbox-variant-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-geometry/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-geometry.git
 Homepage: https://github.com/mapbox/geometry.hpp

## mapbox-geometry 2.0.3

=== Makefile ===

# Whether to turn compiler warnings into errors
export WERROR ?= true
export BUILD_DIR ?= cmake-build

default: release

release:
	mkdir -p ./$(BUILD_DIR) && cd ./$(BUILD_DIR) && cmake ../ -DCMAKE_BUILD_TYPE=Release -DWERROR=$(WERROR) && VERBOSE=1 cmake --build .

debug:
	mkdir -p ./$(BUILD_DIR) && cd ./$(BUILD_DIR) && cmake ../ -DCMAKE_BUILD_TYPE=Debug -DWERROR=$(WERROR) && VERBOSE=1 cmake --build .

test:
	@if [ -f ./$(BUILD_DIR)/unit-tests ]; then ./$(BUILD_DIR)/unit-tests; else echo "Please run 'make release' or 'make debug' first" && exit 1; fi

bench:
	@if [ -f ./$(BUILD_DIR)/bench-tests ]; then ./$(BUILD_DIR)/bench-tests; else echo "Please run 'make release' or 'make debug' first" && exit 1; fi

tidy:
	./scripts/clang-tidy.sh

coverage:
	./scripts/coverage.sh

clean:
	rm -rf ./$(BUILD_DIR)
	rm -f *.profraw
	rm -f *.profdata
	@echo "run 'make distclean' to also clear mason_packages, .mason, and .toolchain directories"

distclean: clean
	rm -rf mason_packages
	rm -rf .mason
	rm -rf .toolchain
	rm -f local.env

format:
	./scripts/format.sh

.PHONY: test bench

=== debian/changelog ===
mapbox-geometry (2.0.3-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Apr 2024 09:32:10 +0200

mapbox-geometry (2.0.3-1~exp1) experimental; urgency=medium

  * New upstream release.
    (closes: #1069085)
  * Update watch file to use version 4 and GitHub tags.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Add Rules-Requires-Root to control file.
  * Enable Salsa CI.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 10:07:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
-Build-Depends: debhelper (>= 10~),
-               catch,
+Build-Depends: catch,
                cmake (>= 3.8),
+               debhelper-compat (= 13),
                libmapbox-variant-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-geometry/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-geometry.git
 Homepage: https://github.com/mapbox/geometry.hpp
+Rules-Requires-Root: no
 
 Package: libmapbox-geometry-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 %:
 	dh $@ \
 	      --buildsystem=cmake \
-	      --builddirectory=$(CURDIR)/cmake-build \
-	      --parallel
+	      --builddirectory=$(CURDIR)/cmake-build
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|geometry.hpp)[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/geometry.hpp-$1.$2/ \
https://github.com/mapbox/geometry.hpp/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|geometry.hpp)[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
